Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159149 - system-config-packages gives a deprecation warning
Summary: system-config-packages gives a deprecation warning
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-packages
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-30 18:25 UTC by petrosyan
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.2.25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-19 21:07:03 UTC


Attachments (Terms of Use)

Description petrosyan 2005-05-30 18:25:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
system-config-packages gives the following deprecation warning:
$ system-config-packages
hal devs is {}
/usr/lib/python2.4/site-packages/rhpl/GenericError.py:47: GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  self.label.set_use_markup (TRUE)

Version-Release number of selected component (if applicable):
system-config-packages-1.2.25-1

How reproducible:
Always

Steps to Reproduce:
1. run system-config-packages from a terminal

Additional info:

Comment 1 Jeremy Katz 2005-05-31 03:16:51 UTC
Fixed in CVS

Comment 2 Marius Andreiana 2005-08-19 21:07:03 UTC
Verified, I get no GTK warnings in FC4.


Note You need to log in before you can comment on or make changes to this bug.